Subject: Faulty car battery charger
From: Cheryl Ballard <[email-masked]>
To: [email-masked]
Date: Fri, 26 Dec 2025 11:30:34 -0600

As instructed. We plugged the portable charger into the wall socket to
charge it.  Left charging for over 6 hours and it never charged.  When
charging the display says power in 100% but nothing for power out. Pressing
the power button does nothing. The built in flashlight does not come on.
Basically the charger is not charging.  Instructions say the indicator
lights will be flicking on one at a time as charging advances.   There are
no indicator lights on this model.

Thank you.